String.prototype.trim = function() {
	return this.replace(/^\s+|\s+$/g,"");
}
//**************************************************************************
function fFiltrar(){
	document.getElementById("TxtAc").value="F";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fFormaDePago(){
	var StrFDP=document.getElementById("CboFdp").value;
	document.getElementById("TxtNdp").value="";
	document.getElementById("TxtFecVen").value="";
	if(StrFDP=="EFECTIVO"){
		document.getElementById("TxtNdp").readOnly=true;
		document.getElementById("TxtFecVen").readOnly=true;
	}else{
		document.getElementById("TxtNdp").readOnly=false;
		document.getElementById("TxtFecVen").readOnly=false;
	}
}
//**************************************************************************
function fCancelar(){
	document.getElementById("TxtAc").value="C";
	document.getElementById("Frm").submit();
}
function fCls(){
	document.getElementById("TxtPro").value="";
	document.getElementById("TxtIdPro").value="";
	document.getElementById("CboMon").value="";
}
//**************************************************************************
function fProcesar(){
	var Pro=document.getElementById("TxtPro").value;
	var IdPro=document.getElementById("TxtIdPro").value;
	var Mon=document.getElementById("CboMon").value;
	if(Pro.trim().length==0){
		alert("Seleccione el proveedor correspondiente");
		document.getElementById("CmdSel").focus();
		return;
	}
	if(IdPro.trim().length==0){
		alert("Seleccione el proveedor correspondiente. No se puede determinar el Id");
		document.getElementById("CmdSel").focus();
		return;
	}
	if(Mon.trim().length==0){
		alert("Seleccione la moneda correspondiente");
		document.getElementById("CboMon").focus();
		return;
	}
	if(document.getElementById("CmdG").value=="Procesar"){
		document.getElementById("TxtAc").value="Procesar";
	}
	document.getElementById("Frm").submit();
}
/**************************************************************************
	onkeypress="return pulsar(event);"
**************************************************************************/
function pulsar(e) { 	
	var tecla = (document.all) ? e.keyCode :e.which; 
	var Obj=event.srcElement.name;	
	if(Obj=="TxtNom"){
		if(tecla==13){			
			document.getElementById('CmdG').click();			
		}
	}	
	return (tecla!=13); 
} 
//**************************************************************************
function fDeshacer(){
	var Rpta = confirm("Esta seguro que desea deshacer el pago?")		
	if (Rpta==true){
		document.getElementById("TxtAc").value="DESHACER";
		document.getElementById("Frm").submit();
	}
}
//**************************************************************************
function fPagar(){
	var FecPag=document.getElementById("TxtFecPag").value;
	if(FecPag.trim().length==0){
		alert("Ingrese la fecha en que se realizo el pago");
		document.getElementById("TxtFecPag").focus();
		return;
	}
	if(EsFecha(FecPag)==false){
		alert("Fecha no valida, la fecha debe ser ingresada segun el formato 'dd-mm-yy'");
		document.getElementById("TxtFecPag").focus();
		return;
	}
	document.getElementById("TxtAc").value="Pagar";
	document.getElementById("Frm").submit();
}
//**************************************************************************
function fGetSaldoDol(lpIdPro,lpMon){
	DivDatos = document.getElementById("DivSaldo");
	if(lpMon.trim().length>0){
		var StrUrl="";
		if(lpMon=="DOLARES"){
			StrUrl="ajax_funciones.php?Cmd=PROV_GET_SALDO_DOL&TxtPar="+lpIdPro;
		}else{
			StrUrl="ajax_funciones.php?Cmd=PROV_GET_SALDO_SOL&TxtPar="+lpIdPro;
		}
		if(lpIdPro.trim().length>0){			
			ajax=CreateAJAX();
			ajax.open("GET", StrUrl);	
			ajax.onreadystatechange=function() {
				   if (ajax.readyState==4) {
							var StrDatos=ajax.responseText;
							if(StrDatos.trim().length>0){			  
							   DivDatos.innerHTML = StrDatos;
							}else{
								DivDatos.innerHTML ="0.0";
							}
				   }
			}
			ajax.send(null);
		}
	}else{
		DivDatos.innerHTML ="0.0";
	}
}
